> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.byteful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Proxy User

> Retrieves a specific Proxy User based on the provided ID for the current user's account.




## OpenAPI

````yaml get /public/user/proxy_user/retrieve/{proxy_user_id}
openapi: 3.0.1
info:
  title: Byteful Public User API
  description: Public API used for third-party usage.
  termsOfService: https://byteful.com
  contact:
    url: https://byteful.com
    email: developer@byteful.com
  version: '1.0'
  x-logo:
    altText: Byteful
    backgroundColor: '#6354eb'
    url: >-
      https://pbs.twimg.com/profile_banners/1038803520605118464/1729783007/1500x500
servers:
  - url: https://api.byteful.com/1.0/
security: []
paths:
  /public/user/proxy_user/retrieve/{proxy_user_id}:
    get:
      tags:
        - Proxy User
      summary: Retrieve Proxy User
      description: >
        Retrieves a specific Proxy User based on the provided ID for the current
        user's account.
      parameters:
        - name: proxy_user_id
          in: path
          description: ID of the Proxy User to retrieve
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Proxy User Retrieve
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProxyUserSuccessfulRetrieveResponse'
      security:
        - APIPrivateKey: []
          APIPublicKey: []
components:
  schemas:
    ProxyUserSuccessfulRetrieveResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            customer_id:
              type: integer
              example: 1955
            ip_address_authentications:
              type: array
              items:
                type: string
                example: 17.172.224.47
            mobile_bytes_left:
              type: integer
              example: 1
            proxy_user_access_type:
              type: string
              example: all
              enum:
                - all
                - service_restricted
                - proxy_restricted
            proxy_user_creation_datetime:
              type: string
              format: date-time
            proxy_user_enforce_https:
              type: boolean
              example: false
            proxy_user_id:
              type: string
              example: stevejobs
            proxy_user_ip_address_authentication_limit:
              type: integer
              example: 3
            proxy_user_is_default:
              type: boolean
              example: false
            proxy_user_is_deleted:
              type: boolean
              example: false
            proxy_user_is_strict_security:
              type: boolean
              example: false
            proxy_user_last_update_datetime:
              type: string
              format: date-time
            proxy_user_metadata:
              type: object
              properties: {}
              example:
                resell_order_id: APPL-9876-5432
            proxy_user_mobile_bytes_limit:
              type: integer
              example: 134142432
            proxy_user_mobile_bytes_used:
              type: integer
              example: 31223
            proxy_user_password:
              type: string
              example: apple1984
            proxy_user_residential_bytes_limit:
              type: integer
              example: 134142432
            proxy_user_residential_bytes_used:
              type: integer
              example: 31223
            residential_bytes_left:
              type: integer
              example: 1
            restricted_proxy_ids:
              type: array
              items:
                type: string
                example: d5f6b186-3850-43e5-ac07-55d2ff5eb06e
            restricted_service_ids:
              type: array
              items:
                type: string
                example: 111-230-892
          description: Retrieved Proxy User item details.
        message:
          type: string
          description: Status message for the retrieval.
      description: Proxy User retrieve was successful.
      example:
        data:
          customer_id: 1955
          ip_address_authentications:
            - 17.172.224.47
          mobile_bytes_left: 1
          proxy_user_access_type: all
          proxy_user_creation_datetime: '2023-09-28 12:34:56'
          proxy_user_enforce_https: false
          proxy_user_id: stevejobs
          proxy_user_ip_address_authentication_limit: 3
          proxy_user_is_default: false
          proxy_user_is_deleted: false
          proxy_user_is_strict_security: false
          proxy_user_last_update_datetime: '2023-09-28 12:34:56'
          proxy_user_metadata:
            resell_order_id: APPL-9876-5432
          proxy_user_mobile_bytes_limit: 134142432
          proxy_user_mobile_bytes_used: 31223
          proxy_user_password: apple1984
          proxy_user_residential_bytes_limit: 134142432
          proxy_user_residential_bytes_used: 31223
          residential_bytes_left: 1
          restricted_proxy_ids:
            - d5f6b186-3850-43e5-ac07-55d2ff5eb06e
          restricted_service_ids:
            - 111-230-892
        message: Proxy User successfully retrieved.
  securitySchemes:
    APIPrivateKey:
      type: apiKey
      description: ' Private API key for user-level authentication.'
      name: X-API-Private-Key
      in: header
    APIPublicKey:
      type: apiKey
      description: ' Public API key for user-level authentication.'
      name: X-API-Public-Key
      in: header

````